Loading...
Searching...
No Matches
Ogre::Viewport::Listener Class Reference

Listener interface so you can be notified of Viewport changes. More...

`#include <OgreViewport.h>`

Inheritance diagram for Ogre::Viewport::Listener:
[legend]

## Public Member Functions

virtual | ~Listener ()
virtual void | viewportCameraChanged (Viewport *viewport)
| Notification of when a new camera is set to target listening Viewport.
virtual void | viewportDestroyed (Viewport *viewport)
| Notification of when target listening Viewport's is destroyed.
virtual void | viewportDimensionsChanged (Viewport *viewport)
| Notification of when target listening Viewport's dimensions changed.

## Detailed Description

Listener interface so you can be notified of Viewport changes.

## Constructor & Destructor Documentation

## ~Listener()

virtual Ogre::Viewport::Listener::~Listener | ( |  | ) |

inline virtual

## Member Function Documentation

## viewportCameraChanged()

virtual void Ogre::Viewport::Listener::viewportCameraChanged | ( | Viewport * | viewport | ) |

inline virtual

Notification of when a new camera is set to target listening Viewport.

Reimplemented in Ogre::CompositorChain.

References Ogre::Viewport::Viewport().

## viewportDimensionsChanged()

virtual void Ogre::Viewport::Listener::viewportDimensionsChanged | ( | Viewport * | viewport | ) |

inline virtual

Notification of when target listening Viewport's dimensions changed.

Reimplemented in Ogre::CompositorChain.

References Ogre::Viewport::Viewport().

## viewportDestroyed()

virtual void Ogre::Viewport::Listener::viewportDestroyed | ( | Viewport * | viewport | ) |

inline virtual

Notification of when target listening Viewport's is destroyed.

Reimplemented in Ogre::CompositorChain.

References Ogre::Viewport::Viewport().

The documentation for this class was generated from the following file:

- OgreViewport.h